<?php
/*
 *
 *
 */

//include
include("include.php");

//main
auth("exams") or redirect_header("index.php", 5, _MD_CTBT_EXAMS_AUTHFAIL);

setoff_magic_quotes_gpc();

$mod = (isset($_GET["mod"])) ? $_GET["mod"] : "exams";

$ctbt = new Contribution();

switch ($mod)
{
	case "delete":

		$ctbt_id = (isset($_GET["ctbt_id"])) ? intval($_GET["ctbt_id"]) : 0;

		$contribution = $ctbt -> RetrieveContribution($ctbt_id);

		if (!$contribution) redirect_header("exam.php", 5, _MD_CTBT_CTBT_NONE);

		auth("exam-" . $contribution["ctbt_teacher"]) or redirect_header("exam.php", 5, _MD_CTBT_EXAMS_AUTHFAIL);

		if (isset($_POST["submit"]))
		{
			$ctbt -> DeleteContribution($contribution) or redirect_header($_SERVER["REQUEST_URI"], 5, _MD_CTBT_DELETE_FAILDB);
			redirect_header("exam.php", 5, _MD_CTBT_DELETE_SUCCESS);
		}
		else
		{
			$xoopsOption["template_main"] = "delete.htm";
		}

		break;
	case "exam":

		$ctbt_id = (isset($_GET["ctbt_id"])) ? intval($_GET["ctbt_id"]) : 0;

		$contribution = $ctbt -> RetrieveContribution($ctbt_id);

		if (!$contribution) redirect_header("exam.php", 5, _MD_CTBT_CTBT_NONE);

		auth("exam-" . $contribution["ctbt_teacher"]) or redirect_header("exam.php", 5, _MD_CTBT_EXAMS_AUTHFAIL);

		if (isset($_POST["submit"]))
		{
			add_slashes_arr($_POST);
			$ctbt -> CheckSubmit("exm") or redirect_header($_SERVER["REQUEST_URI"], 5, _MD_CTBT_EXAM_FAILNONE);
			$ctbt -> ExamContribution($ctbt_id) or redirect_header($_SERVER["REQUEST_URI"], 5, _MD_CTBT_EXAM_FAILDB);
			redirect_header("exam.php", 5, _MD_CTBT_EXAM_SUCCESS);
		}
		else
		{
			if ($contribution['ctbt_state'] == 0) if ($ctbt -> SetExamining($ctbt_id)) $contribution['ctbt_state'] = 1;

			$contribution['ctbt_class'] = explode("-", $contribution['ctbt_class']);
			if ($contribution['ctbt_type'] == "img")
			{
				$display_size = display_image(XOOPS_ROOT_PATH . "/" . $xoopsModuleConfig['uploadpath'] . "/" . $contribution['ctbt_contribution']);
				$contribution['ctbt_contribution'] = XOOPS_URL . $xoopsModuleConfig['uploadpath'] . "/" . $contribution['ctbt_contribution'];
			}

			$xoopsOption["template_main"] = "exam.htm";
		}

		break;
	case "solicit":
		isadmin() or redirect_header("exam.php", 5, _MD_CTBT_EXAMS_AUTHFAIL);
		add_slashes_arr($_POST);
		$sql = "Update " . $xoopsDB -> prefix("config") . " Set conf_value = '" . $_POST['solicit'] . "' Where conf_modid = '" . $xoopsModule -> getVar('mid') . "' And conf_name = 'solicit'";
		if (!($xoopsDB -> queryF($sql))) redirect_header("exam.php", 5, _MD_CTBT_SOLICIT_FAILDB);
		redirect_header("exam.php", 5, _MD_CTBT_SOLICIT_SUCCESS);
		break;
	default:
		$mod = "exams";

		$page = (isset($_GET["page"])) ? intval($_GET["page"]) : 0;
		$bgn = $page * $xoopsModuleConfig['lst_number'];


		$condition = (isadmin()) ? "admin" : "teacher";
		$contributions = $ctbt -> ListContributions($bgn, $xoopsModuleConfig['lst_number'], $condition);
		$count = $ctbt -> CountContributions($condition);
		$pages = ceil($count / $xoopsModuleConfig['lst_number']);

		$xoopsOption["template_main"] = "exams.htm";

		break;
}

//template


include(XOOPS_ROOT_PATH . "/header.php");

$xoopsTpl -> assign("header", array("title" => $xoopsModule -> getVar("name"), "declaration" => $xoopsModuleConfig['declaration']));
switch ($mod)
{
	case "delete":
		$xoopsTpl -> assign("contribution", $contribution);
		break;
	case "exam":
		$xoopsTpl -> assign("contribution", $contribution);
		$xoopsTpl -> assign("idno_address", $xoopsModuleConfig['idno_address']);
		$xoopsTpl -> assign("class", array(explode ("|", $xoopsModuleConfig['grade']), explode ("|", $xoopsModuleConfig['class'])));
		if ($contribution['ctbt_type'] == "img") $xoopsTpl -> assign("display_size", $display_size);
		break;
	default:
		$xoopsTpl -> assign("pages", $pages);
		$xoopsTpl -> assign("condition", $condition);
		$xoopsTpl -> assign("solicit", $xoopsModuleConfig['solicit']);
		$xoopsTpl -> assign("contributions", $contributions);
		break;
}

include(XOOPS_ROOT_PATH . "/footer.php");
?>