CREATE TABLE `ctbt_contributions` (
  `ctbt_id` int(10) unsigned NOT NULL auto_increment,
  `ctbt_state` tinyint(3) unsigned NOT NULL default '0',
  `ctbt_type` char(3) NOT NULL default 'txt',
  `ctbt_title` varchar(255) NOT NULL default '',
  `ctbt_author` varchar(40) NOT NULL default '',
  `ctbt_realname` varchar(40) NOT NULL default '',
  `ctbt_idno` varchar(11) default '',
  `ctbt_address` varchar(255) default '',
  `ctbt_class` varchar(10) default NULL,
  `ctbt_teacher` int(10) unsigned NOT NULL default '0',
  `ctbt_comment` text,
  `ctbt_dttm` varchar(20) NOT NULL,
  `ctbt_exam_dttm` varchar(20) NOT NULL,
  PRIMARY KEY  (`ctbt_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE `ctbt_img` (
  `ctbt_id` int(10) unsigned NOT NULL default '0',
  `img_contribution` varchar(255) default NULL,
  UNIQUE KEY `ctbt_id` (`ctbt_id`)
) TYPE=MyISAM;

CREATE TABLE `ctbt_txt` (
  `ctbt_id` int(10) unsigned NOT NULL default '0',
  `txt_manuscript` text,
  `txt_contribution` text,
  UNIQUE KEY `ctbt_id` (`ctbt_id`)
) TYPE=MyISAM;