<?php
$modversion['name'] = _MI_CTBT_NAME;
$modversion['version'] = 1.00;
$modversion['description'] = _MI_CTBT_DESC;
$modversion['credits'] = '';
$modversion['author'] = 'atlas(atlas@mail.nsysu.edu.tw)';
$modversion['license'] = 'GPL see LICENSE';
$modversion['image'] = 'images/logo.png';
$modversion['dirname'] = 'contribution';

//css
$modversion['css'] = 'ctbt.css';

//database
$modversion['sqlfile']['mysql'] = 'sql/mysql.sql';
$modversion['tables'][0] = 'ctbt_contributions';
$modversion['tables'][1] = 'ctbt_img';
$modversion['tables'][2] = 'ctbt_txt';


//admin
$modversion['hasAdmin'] = 1;
$modversion['adminindex'] = 'admin/index.php';
$modversion['adminmenu'] = 'admin/menu.php';

//templates
//$modversion['templates'][1]['file'] = 'header.htm';
//$modversion['templates'][1]['description'] = 'page header';
$modversion['templates'][1]['file'] = 'contributions.htm';
$modversion['templates'][1]['description'] = 'index list contributions';
$modversion['templates'][2]['file'] = 'contribution.htm';
$modversion['templates'][2]['description'] = 'show contribution';
$modversion['templates'][3]['file'] = 'submit.htm';
$modversion['templates'][3]['description'] = 'submit manuscript';
$modversion['templates'][4]['file'] = 'exams.htm';
$modversion['templates'][4]['description'] = 'examine manuscripts';
$modversion['templates'][5]['file'] = 'exam.htm';
$modversion['templates'][5]['description'] = 'examine manuscript';
$modversion['templates'][6]['file'] = 'delete.htm';
$modversion['templates'][6]['description'] = 'delete manuscript';

$modversion['hasMain'] = 1;
//submenu
//$modversion['sub'][1]['name'] = '';
//$modversion['sub'][1]['url'] = '';

//blocks
//$modversion['blocks'][1]['file'] = '';
//$modversion['blocks'][1]['name'] = '';
//$modversion['blocks'][1]['description'] = '';
//$modversion['blocks'][1]['show_func'] = '';
//$modversion['blocks'][1]['template'] = '';

//search
$modversion['hasSearch'] = 1;
$modversion['search']['file'] = 'include/search.inc.php';
$modversion['search']['func'] = 'ctbt_search';


//config
$modversion['config'][1]['name'] = 'admins';
$modversion['config'][1]['title'] = '_MI_CTBT_CF01_TITLE';
$modversion['config'][1]['description'] = '_MI_CTBT_CF01_DESC';
$modversion['config'][1]['formtype'] = 'user_multi';
$modversion['config'][1]['valuetype'] = 'array';
$modversion['config'][1]['default'] = '';

$modversion['config'][2]['name'] = 'teacheres';
$modversion['config'][2]['title'] = '_MI_CTBT_CF02_TITLE';
$modversion['config'][2]['description'] = '_MI_CTBT_CF02_DESC';
$modversion['config'][2]['formtype'] = 'group_multi';
$modversion['config'][2]['valuetype'] = 'array';
$modversion['config'][2]['default'] = '';

$modversion['config'][3]['name'] = 'submits';
$modversion['config'][3]['title'] = '_MI_CTBT_CF03_TITLE';
$modversion['config'][3]['description'] = '_MI_CTBT_CF03_DESC';
$modversion['config'][3]['formtype'] = 'group_multi';
$modversion['config'][3]['valuetype'] = 'array';
$modversion['config'][3]['default'] = '';

$modversion['config'][4]['name'] = 'declaration';
$modversion['config'][4]['title'] = '_MI_CTBT_CF04_TITLE';
$modversion['config'][4]['description'] = '_MI_CTBT_CF04_DESC';
$modversion['config'][4]['formtype'] = 'textarea';
$modversion['config'][4]['valuetype'] = 'text';
$modversion['config'][4]['default'] = '';

$modversion['config'][5]['name'] = 'lst_number';
$modversion['config'][5]['title'] = '_MI_CTBT_CF05_TITLE';
$modversion['config'][5]['description'] = '_MI_CTBT_CF05_DESC';
$modversion['config'][5]['formtype'] = 'select';
$modversion['config'][5]['valuetype'] = 'int';
$modversion['config'][5]['default'] = '20';
$modversion['config'][5]['options'] = array('15' => 15, '20' => 20, '25' => 25, '30' => 30, '35' => 35, '40' => 40, '45' => 45);

$modversion['config'][6]['name'] = 'grade';
$modversion['config'][6]['title'] = '_MI_CTBT_CF06_TITLE';
$modversion['config'][6]['description'] = '_MI_CTBT_CF06_DESC';
$modversion['config'][6]['formtype'] = 'text';
$modversion['config'][6]['valuetype'] = 'text';
$modversion['config'][6]['default'] = '6|5|4|3|2|1';

$modversion['config'][7]['name'] = 'class';
$modversion['config'][7]['title'] = '_MI_CTBT_CF07_TITLE';
$modversion['config'][7]['description'] = '_MI_CTBT_CF07_DESC';
$modversion['config'][7]['formtype'] = 'text';
$modversion['config'][7]['valuetype'] = 'text';
$modversion['config'][7]['default'] = '01|02|03|04|05|06|07|08|09|10|11';

$modversion['config'][8]['name'] = 'uploadpath';
$modversion['config'][8]['title'] = '_MI_CTBT_CF08_TITLE';
$modversion['config'][8]['description'] = '_MI_CTBT_CF08_DESC';
$modversion['config'][8]['formtype'] = 'text';
$modversion['config'][8]['valuetype'] = 'text';
$modversion['config'][8]['default'] = '/uploads/contribution';

$modversion['config'][9]['name'] = 'filesize';
$modversion['config'][9]['title'] = '_MI_CTBT_CF09_TITLE';
$modversion['config'][9]['description'] = '_MI_CTBT_CF09_DESC';
$modversion['config'][9]['formtype'] = 'text';
$modversion['config'][9]['valuetype'] = 'text';
$modversion['config'][9]['default'] = '2000000';

$modversion['config'][10]['name'] = 'imgsize_width';
$modversion['config'][10]['title'] = '_MI_CTBT_CF10_TITLE';
$modversion['config'][10]['description'] = '_MI_CTBT_CF10_DESC';
$modversion['config'][10]['formtype'] = 'text';
$modversion['config'][10]['valuetype'] = 'text';
$modversion['config'][10]['default'] = '1024';

$modversion['config'][11]['name'] = 'imgsize_height';
$modversion['config'][11]['title'] = '_MI_CTBT_CF11_TITLE';
$modversion['config'][11]['description'] = '_MI_CTBT_CF11_DESC';
$modversion['config'][11]['formtype'] = 'text';
$modversion['config'][11]['valuetype'] = 'text';
$modversion['config'][11]['default'] = '1024';

$modversion['config'][12]['name'] = 'display_width';
$modversion['config'][12]['title'] = '_MI_CTBT_CF12_TITLE';
$modversion['config'][12]['description'] = '_MI_CTBT_CF12_DESC';
$modversion['config'][12]['formtype'] = 'text';
$modversion['config'][12]['valuetype'] = 'text';
$modversion['config'][12]['default'] = '640';

$modversion['config'][13]['name'] = 'display_height';
$modversion['config'][13]['title'] = '_MI_CTBT_CF13_TITLE';
$modversion['config'][13]['description'] = '_MI_CTBT_CF13_DESC';
$modversion['config'][13]['formtype'] = 'text';
$modversion['config'][13]['valuetype'] = 'text';
$modversion['config'][13]['default'] = '480';

$modversion['config'][14]['name'] = 'solicit';
$modversion['config'][14]['title'] = '_MI_CTBT_CF14_TITLE';
$modversion['config'][14]['description'] = '_MI_CTBT_CF14_DESC';
$modversion['config'][14]['formtype'] = 'textarea';
$modversion['config'][14]['valuetype'] = 'text';
$modversion['config'][14]['default'] = '';

$modversion['config'][15]['name'] = 'idno_address';
$modversion['config'][15]['title'] = '_MI_CTBT_CF15_TITLE';
$modversion['config'][15]['description'] = '_MI_CTBT_CF15_DESC';
$modversion['config'][15]['formtype'] = 'yesno';
$modversion['config'][15]['valuetype'] = 'int';
$modversion['config'][15]['default'] = '0';
?>